Skip to Main Content Skip to Search
Accelerating the pace of engineering and science

 

System Requirements for PolySpace Products - Release 2008b

Choose Your Operating System

Windows


Operating Systems Processors Disk Space RAM
32-bit PolySpace Client Products

Windows XP
(Service Pack 2)

Windows 2000*
(Service Pack 4)

Intel® Pentium (Pentium 4 and above)

Intel Celeron

Intel Xeon

Intel Core

AMD Athlon

AMD Opteron

AMD Sempron

2 GB 512 MB

(1024 MB ECC RAM recommended)
32-bit PolySpace Server Products

Windows XP
(Service Pack 2)

Windows 2000*
(Service Pack 4)

Intel® Pentium (Pentium 4 and above)

Intel Celeron

Intel Xeon

Intel Core

AMD Athlon

AMD Opteron

AMD Sempron

2 GB

2 GB

(4 GB ECC RAM recommended)

64-bit PolySpace Client Products (32-bit mode only)

Windows XP
(Service Pack 2)

Intel® Pentium (Pentium 4 and above)

Intel Celeron

Intel Xeon

Intel Core

AMD64

2 GB 2 GB

(4 GB ECC RAM recommended)
64-bit PolySpace Server Products (32-bit mode only)

Windows XP
(Service Pack 2)

Intel® Pentium (Pentium 4 and above)

Intel Celeron

Intel Xeon

Intel Core

AMD64

2 GB

8 GB

(16 GB ECC RAM recommended)


* As of R2009a (March 2009), PolySpace products will no longer be supported on Windows 2000.


Required Products and Plug-ins

PolySpace Model Link SL (for Simulink) 5.1 requires:

  • PolySpace Client for C/C++ 5.1 (32-bit or 64-bit)
  • MATLAB 7.3 (R2006b), 7.4 (R2007a), 7.5 (R2007b), 7.6 (R2008a), or 7.7 (R2008b) on Windows
  • Real-Time Workshop Embedded Coder 4.5 (R2006b), 4.6 (R2007a), 5.0 (R2007b), 5.1 (R2008a), or 5.2 (R2008b) on Windows

PolySpace Model Link TL (for dSPACE TargetLink) 5.1 requires:

  • PolySpace Client for C/C++ 5.1 (32-bit only)
  • MATLAB 7.3 (R2006b), 7.4 (R2007a), 7.5 (R2007b), 7.6 (R2008a), or 7.7 (R2008b) on Windows
  • dSPACE TargetLink 2.1 or 2.2

PolySpace UML Link RH (for Telelogic Rhapsody) 5.1 requires:

  • PolySpace Client for C/C++ 5.1 (32-bit only)
  • Telelogic Rhapsody 7.0–7.1 on Windows

See the Release Notes for details.

Graphics

  • 16-, 24-, or 32-bit OpenGL capable graphics adapter
  • DirectX 9.0c (August 2005) or later

License Management

  • Some license types require a license server running FLEXnet 10.8, which is available with the PolySpace installer.
  • TCP/IP is required on all platforms when using a license server.

Contact Us

Call MathWorks: 508-647-7000